Skip to main content

Update Memory Store

Updates the name, description, and metadata of a memory store.

Prerequisites

Endpoint and authentication configured. For details, see Overview and authentication.

Endpoint

POST /memory_stores/{memory_store_id}

Path parameters

FieldRequiredTypeDescription
memory_store_idYesstringMemory store ID

Request body

FieldRequiredTypeDescription
nameNostringNew name, 1-255 characters
descriptionNostringNew purpose description
metadataNoobjectNew custom key-value pairs for business metadata

Request example

curl -X POST "$AGENTSTUDIO_URL/memory_stores/memstore_xxx" \
  -H "Authorization: Bearer $DASHSCOPE_API_KEY" \
  -H 'Content-Type: application/json' \
  -d '{"name": "Project Knowledge","description": "项目约定与决策记录"}'

Response example

{
  "id": "memstore_xxx",
  "type": "memory_store",
  "name": "Project Knowledge",
  "description": "项目约定与决策记录",
  "metadata": {
    "team": "data"
  },
  "created_at": "2026-09-17T08:00:00Z",
  "updated_at": "2026-09-17T08:00:00Z"
}

Response fields

FieldTypeDescription
idstring
typestring
namestring
descriptionstring
metadataobject
archived_atstring | null
created_atstring
updated_atstring

Error codes

HTTP statusError codeDescription
400invalid_request_errorInvalid parameters, path, limit, or pagination cursor
401InvalidApiKeyAPI key missing, invalid, or expired
403permission_errorInsufficient identity or resource access permissions
404not_found_errorResource does not exist or does not belong to the current workspace
409memory_path_conflict_error etc.Path conflict, conditional update conflict, or writing to an archived store
Flow Agent API
Sandbox API
RAG API
Long-term Memory
ParseX API
Security API
Framework Integration